Sub GetSnapSpacing_Example()
' This example finds the current Snap spacing.
' First, find the current active viewport
Dim viewportObj As AcadViewport
Dim XSnap As Double
Dim YSnap As Double
Set viewportObj = ThisDrawing.ActiveViewport
' Turn on Snap and reset the viewport.
viewportObj.SnapOn = True
ThisDrawing.ActiveViewport = viewportObj
' Find the current Snap spacing
viewportObj.GetSnapSpacing XSnap, YSnap
MsgBox "X Snap Spacing = " & XSnap & " Y Snap Spacing = " & YSnap
End Sub
Bricscad™ is commercialized by Bricsys NV. Bricsys NV and Vondle NV are fully owned subsidiaries of Menhirs NV. © 2001- Menhirs NV - All rights reserved. |